Skip to main content
GET
/
schedule
/
api
/
shift-overrides
List ShiftOverrides.
curl --request GET \
  --url https://{host}/schedule/api/shift-overrides \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": 1,
      "employee": {
        "id": 1
      },
      "startsAt": "2023-11-07T05:31:56Z",
      "endsAt": "2023-11-07T05:31:56Z",
      "duration": {
        "value": 1,
        "iso": "<string>"
      },
      "isLocked": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "lastUpdatedAt": "2023-11-07T05:31:56Z",
      "comment": "<string>",
      "createdBy": {
        "id": 1
      },
      "lastUpdatedBy": {
        "id": 1
      }
    }
  ],
  "next": "<string>",
  "prev": "<string>",
  "count": 1
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

id
integer<int32>[]

Retrieve ShiftOverrides that match one of the given IDs (comma separated list).

Required range: x >= 0
employee.id
integer<int32>[]

Only retrieve ShiftOverrides that apply to one of the given employees, identified by their ID (comma separated list of int).

Required range: x >= 0
startsAt.between
string

Include only values that fall within the specified range for startsAt. Open-ended ranges can be defined with .. characters.

Examples:

"2023-01-01--2023-01-31"

"..--2023-01-01"

"2023-01-01--.."

endsAt.between
string

Include only values that fall within the specified range for endsAt. Open-ended ranges can be defined with .. characters.

Examples:

"2023-01-01--2023-01-31"

"..--2023-01-01"

"2023-01-01--.."

limit
integer
default:10

Number of items per page

Required range: 0 <= x <= 100
page
string

Next page token

Examples:

"next_token&fields.root=next"

"2"

sort
string
default:+StartsAt

Sort items by ascending or descending property value. Prefix with - for descending order.

Examples:

"id"

"-id"

"startsAt"

"-startsAt"

fields.root
enum<string>

Include collection properties.

Available options:
count
include
enum<string>[]

Include extra properties with payload.

Available options:
embedded,
links

Response

OK

items
ShiftOverride · object[]
next
null | string

Continuation token for the next page.

prev
null | string

Continuation token for the previous page.

count
null | integer<int32>

Total count of items (when requested via fields.root=count).

Required range: x >= 0